.footer-wrapper {
    border-top: 1px solid color-mix(in srgb, var(--cd-font-main-color) 15%, transparent);
}

.footer-wrapper .footer-top {
    padding: 3.375rem 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: calc(var(--section-padding-left-right) * 2 );
}

.footer-wrapper .footer-text:not(.footer-wrapper .footer-text:first-child) {
    margin-top: 1.3em;
}

.footer-wrapper .footer-text a {
    text-decoration: none;
}

.footer-wrapper .footer-text a:hover {
    text-decoration: underline;
}

.footer-wrapper ul.footer-navigation {
    list-style-type: none;
    display: flex;
    gap: 2.5rem;
    justify-content: end;
    font-size: 1.375rem;
}

.footer-wrapper ul.footer-navigation li a {
    text-decoration: none;
    transition: opacity var(--cd-transition-duration) var(--cd-transition-timing-function);
}

.footer-wrapper ul.footer-navigation:hover a {
    opacity: 0.5;
}

.footer-wrapper ul.footer-navigation:hover a:hover {
    opacity: 1;
}

.footer-wrapper .social-media-links {
    display: flex;
    gap: 1.25rem;
    justify-content: end;
}

.footer-wrapper .social-media-links:not(.footer-wrapper .social-media-links:first-child) {
    margin-top: 2.5rem;
}

.footer-wrapper .social-media-links a {
    text-decoration: none;
    transition: opacity var(--cd-transition-duration) var(--cd-transition-timing-function);
}

.footer-wrapper .social-media-links:hover a {
    opacity: 0.5;
}

.footer-wrapper .social-media-links:hover a:hover {
    opacity: 1;
}

.footer-wrapper .footer-copyright {
    display: flex;
    flex-wrap: wrap;
    font-size: 0.875rem;
    justify-content: space-between;
    gap: calc(var(--section-padding-left-right) * 2);
    padding: var(--section-padding-left-right) 0;
}

.footer-wrapper .footer-copyright ul.meta-navigation {
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem 2rem;
    justify-content: end;
}

.footer-wrapper .footer-copyright ul.meta-navigation a {
    text-decoration: none;
    transition: opacity var(--cd-transition-duration) var(--cd-transition-timing-function);
}

.footer-wrapper .footer-copyright ul.meta-navigation:hover a {
    opacity: 0.5;
}

.footer-wrapper .footer-copyright ul.meta-navigation:hover a:hover {
    opacity: 1;
}

/* 48rem (768px) */
@media (width < 48rem) {
    .footer-wrapper .footer-copyright ul.meta-navigation {
        gap: 0.5rem 1rem;
    }
}

/* 40rem (640px) */
@media (width < 40rem) {

    .footer-wrapper .footer-top,
    .footer-wrapper .footer-copyright {
        flex-direction: column;
    }

    .footer-wrapper ul.footer-navigation,
    .footer-wrapper .social-media-links,
    .footer-wrapper .footer-copyright ul.meta-navigation {
        justify-content: start;
    }
    
    .footer-wrapper .footer-copyright {
        gap: 0.5rem;
    }

}



